Get publications by subscription email OAuth Scope: publications:read

Retrieve all publications in the workspace that have a subscription for the specified email address. The workspace is determined by the provided API key.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

emailstringRequired
The email address to search for subscriptions

Query parameters

expandlist of enumsOptional
Optionally expand the results by adding additional information. <br>`subscription` - Returns the full Subscription object for the email address in each publication. <br>`publication` - Returns the full Publication object instead of just ID and name. <br>`subscription_custom_fields` - Returns custom field values nested within the subscription object. (Returns the subscription object regardless of whether `subscription` is requested.)
Allowed values:

Response

OK
publication_idstringformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication
publication_namestring
The name of the publication
subscription_idstringformat: "^(sub_[0-9a-fA-F\-]+)$"
The prefixed ID of the subscription matching the email address for this publication
statusenum
The status of the subscription matching the email address for this publication
publicationobject or null

The full Publication object. Only present when expand includes publication.

subscriptionobject or null

The Subscription object matching the email address for this publication. Only present when expand includes subscription or subscription_custom_fields.

Errors